import axios from 'axios';
import Environment from '@midefos/utils/src/Environment.js'
import Log from '@midefos/utils/src/Log.js'
import VisitParser from './VisitParser.js';

export default class AnalyticsSender {

  static async sendAnalytics(req, projectName) {
    const serverUrl = Environment.read('ANALYTICS_SERVER_URL');
    if (!serverUrl) return;
    if (!VisitParser.isHTML(req)) return;

    try {

      const visit = VisitParser.parse(req);
      visit.project_name = projectName;
      const visitUrl = serverUrl + '/api/visit';
      await axios.post(visitUrl, visit);
      Log.debug(`Analytics sent!`);
    } catch (error) {
      Log.error(`Sending analytic`, error);
    }
  }

}
