import VisitParser from '../src/VisitParser.js';
import assert from 'assert';

describe('VisitParser.js', () => {

  describe('parse', () => {

    it('1 - extract correctly ip from x-real-ip', () => {
      const mockReq = {
        originalUrl: '/test.json',
        headers: {
          'x-real-ip': '123.456.212.112',
          'user-agent': 'testing'
        }
      }

      const visit = VisitParser.parse(mockReq);

      assert.deepEqual(visit.file, '/test.json');
      assert.deepEqual(visit.ip, '123.456.212.112')
      assert.deepEqual(visit.user_agent, 'testing');
    });

  });

});
